dbXML API

## com.dbxml.db.admin.nodes
Class MenuItem

    java.lang.Object
      com.dbxml.db.admin.nodes.MenuItem

public final class MenuItem
extends java.lang.Object

MenuItem

Field Summary
`static int` `ACTION_SEPARATOR`
`static MenuItem` `SEPARATOR`

Constructor Summary
`MenuItem()`
`MenuItem(int action, java.lang.String label)`
`MenuItem(int action, java.lang.String label, boolean enabled)`

Method Summary
`int` `getAction()`
`boolean` `getEnabled()`
`java.lang.String` `getLabel()`
`void` `setAction(int action)`
`void` `setEnabled(boolean enabled)`
`void` `setLabel(java.lang.String label)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_SEPARATOR

    public static final int ACTION_SEPARATOR

See Also:
  Constant Field Values

### SEPARATOR

    public static final MenuItem SEPARATOR

Constructor Detail

### MenuItem

    public MenuItem()

### MenuItem

    public MenuItem(int action,
                    java.lang.String label)

### MenuItem

    public MenuItem(int action,
                    java.lang.String label,
                    boolean enabled)

Method Detail

### setAction

    public void setAction(int action)

### getAction

    public int getAction()

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

### setEnabled

    public void setEnabled(boolean enabled)

### getEnabled

    public boolean getEnabled()

dbXML API

Copyright (c) 2004 The dbXML Group